## netplug 1.2.9

=== Makefile ===
version := $(shell awk '/define version/{print $$3}' netplug.spec)

prefix ?=
bindir ?= $(prefix)/sbin
etcdir ?= $(prefix)/etc/netplug
initdir ?= $(prefix)/etc/rc.d/init.d
scriptdir ?= $(prefix)/etc/netplug.d
mandir ?= $(prefix)/usr/share/man

install_opts :=

CFLAGS += -Wall -Werror -std=gnu99 -DNP_ETC_DIR='"$(etcdir)"' \
	-DNP_SCRIPT_DIR='"$(scriptdir)"' -ggdb3 -O3 -DNP_VERSION='"$(version)"'

netplugd: config.o netlink.o lib.o if_info.o main.o
	$(CC) $(LDFLAGS) -o $@ $^

install:
	install -d $(install_opts) -m 755 $(bindir) $(etcdir) $(scriptdir) \
		$(initdir) $(mandir)/man8
	install $(install_opts) -m 755 netplugd $(bindir)
	install $(install_opts) -m 644 etc/netplugd.conf $(etcdir)
	install $(install_opts) -m 755 scripts/netplug $(scriptdir)
	install $(install_opts) -m 755 scripts/rc.netplugd $(initdir)/netplugd
	install $(install_opts) -m 444 man/man8/netplugd.8 $(mandir)/man8

bk_root := $(shell bk root)
tar_root := netplug-$(version)
tar_file := $(bk_root)/$(tar_root).tar.bz2
files := $(shell bk sfiles -Ug)

tarball: $(tar_file)

$(tar_file): $(files)
	mkdir -p $(bk_root)/$(tar_root)
	echo $(files) | tr ' ' '\n' | \
	  xargs -i cp -a --parents {} $(bk_root)/$(tar_root)
	tar -C $(bk_root) -c -f - $(tar_root) | bzip2 -9 > $(tar_file)
	rm -rf $(bk_root)/$(tar_root)

.FORCE: rpm

rpm: $(tar_file)
	mkdir -p rpm/{BUILD,RPMS/{i386,x86_64},SOURCES,SPECS,SRPMS}
	rpmbuild --define '_topdir $(shell pwd)/rpm' -ta $(tar_file)
	mv rpm/*/*.rpm rpm
	mv rpm/*/*/*.rpm rpm
	rm -rf rpm/{BUILD,RPMS,SOURCES,SPECS,SRPMS}

fedora: $(tar_file)
	rpmbuild --define 'release 0.fdr.1' -ta $(tar_file)

clean:
	-rm -f netplugd *.o *.tar.bz2

## netplug 1.2.9.1

=== Makefile ===
version := $(shell awk '/define version/{print $$3}' netplug.spec)

DESTDIR ?=

prefix ?=
bindir ?= $(prefix)/sbin
etcdir ?= $(prefix)/etc/netplug
initdir ?= $(prefix)/etc/rc.d/init.d
scriptdir ?= $(prefix)/etc/netplug.d
mandir ?= $(prefix)/usr/share/man

install_opts :=

CFLAGS += -Wall -Werror -std=gnu99 -DNP_ETC_DIR='"$(etcdir)"' \
	-DNP_SCRIPT_DIR='"$(scriptdir)"' -ggdb3 -O3 -DNP_VERSION='"$(version)"'

netplugd: config.o netlink.o lib.o if_info.o main.o
	$(CC) $(LDFLAGS) -o $@ $^

install:
	install -d $(install_opts) -m 755 \
		$(DESTDIR)/$(bindir) \
		$(DESTDIR)/$(etcdir) \
		$(DESTDIR)/$(scriptdir) \
		$(DESTDIR)/$(initdir) \
		$(DESTDIR)/$(mandir)/man8
	install $(install_opts) -m 755 netplugd $(DESTDIR)/$(bindir)
	install $(install_opts) -m 644 etc/netplugd.conf $(DESTDIR)/$(etcdir)
	install $(install_opts) -m 755 scripts/netplug $(DESTDIR)/$(scriptdir)
	install $(install_opts) -m 755 scripts/rc.netplugd $(DESTDIR)/$(initdir)/netplugd
	install $(install_opts) -m 444 man/man8/netplugd.8 $(DESTDIR)/$(mandir)/man8

hg_root := $(shell hg root)
tar_root := netplug-$(version)
tar_file := $(hg_root)/$(tar_root).tar.bz2
files := $(shell hg manifest)

tarball: $(tar_file)

$(tar_file): $(files)
	mkdir -p $(hg_root)/$(tar_root)
	echo $(files) | tr ' ' '\n' | \
	  xargs -i cp -a --parents {} $(hg_root)/$(tar_root)
	tar -C $(hg_root) -c -f - $(tar_root) | bzip2 -9 > $(tar_file)
	rm -rf $(hg_root)/$(tar_root)

clean:
	-rm -f netplugd *.o *.tar.bz2

## netplug 1.2.9.2

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 install_opts :=
 
-CFLAGS += -Wall -Werror -std=gnu99 -DNP_ETC_DIR='"$(etcdir)"' \
+CFLAGS += -Wall -std=gnu99 -DNP_ETC_DIR='"$(etcdir)"' \
 	-DNP_SCRIPT_DIR='"$(scriptdir)"' -ggdb3 -O3 -DNP_VERSION='"$(version)"'
 
 netplugd: config.o netlink.o lib.o if_info.o main.o

=== docs/Makefile ===
all: state-machine.ps

%.ps: %.dot
	dot -Tps -o $@ $<

%.eps: %.ps
	ps2epsi $< $@

=== debian/changelog ===
netplug (1.2.9.2-1) unstable; urgency=low

  * New upstream version:
    - Fixes FTBFS caused by -Werror and ignored return value (Closes: #559924)
  * debian/init.d:
    - Drop "set -e" and add --oknodo to fix restart (Closes: #589617)
    - Use LSB log_* functions.
    - Drop /usr/local and /usr from PATH.
  * debian/control:
    - Switch to 3.0 quilt format.
    - Update to Standards-Version: 3.9.1: no changes.
    - Add misc:Depends
  * debian/rules: Fix quoting of $$.
  * main.c: Fix log spamming (Closes: #569226)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sat, 07 Aug 2010 13:58:21 +0200

netplug (1.2.9.1-2) unstable; urgency=low

  * main.c: Make "Logs all ignored events" LOG_DEBUG (Closes: #544069)
  * debian/init.d:
    - use --name instead of --exec to fix "initscript: stop action does not
      work" (Closes: #531087)
    - change LSBInitScript dependencies.
  * Update debian/control: Standards-Version: 3.8.3: no changes.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 07 Oct 2009 08:43:55 +0200

netplug (1.2.9.1-1) unstable; urgency=low

  * New upstream version.
    - includes socketlen_t fix.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 07 Apr 2009 08:45:41 +0200

netplug (1.2.9-3) unstable; urgency=low

  * debian/control: Fix description (Closes: #513031)
  * man/man8/netplugd.8: Fix path to init.d (Closes: #513032)
  * Update debian/control:
    - Standards-Version: 3.8.1
    - Use debhelper v7 (+ debian/compat)
  * debian/copyright: Change link from GPL to GPL-2
  * debian/rules: s/dh_clean -k/dh_prep/

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 07 Apr 2009 00:16:04 +0200

netplug (1.2.9-2) unstable; urgency=low

  * Improve rejected debian/copyright.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 09 Sep 2008 21:47:19 +0200

netplug (1.2.9-1) unstable; urgency=low

  * New upstream version.
    - includes PID-file fix.
  * Update debian/control:
    - Standards-Version: 3.8.0
    - Homepage-field
    - Compare to ifplugd in Description
  * Update debian/init.d:
    - Add init-info for dependency-based booting
  * Add debian/watch

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 30 Jul 2008 18:31:51 +0200

netplug (1.2.7-2) unstable; urgency=low

  * main.c: Write PID-file after damon()izing.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri,  7 Jan 2005 10:08:11 +0100

netplug (1.2.7-1) unstable; urgency=low

  * New upstream version.
  * debian/init.d: Fix pid-file handling.
  * debian/control: Add Homepage-location to description.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 13 Aug 2004 09:31:41 +0200

netplug (1.2-2) unstable; urgency=low

  * Fix name of netplugd in init.d script.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sun,  4 Jul 2004 20:05:59 +0200

netplug (1.2-1) unstable; urgency=low

  * New upstream version.
  * Update download location.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Thu, 25 Sep 2003 19:58:22 +0200

netplug (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Mon,  1 Sep 2003 22:22:43 +0200

=== debian/control ===
Source: netplug
Section: net
Priority: optional
Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: debhelper (>> 7)
Standards-Version: 3.9.1
Homepage: http://www.red-bean.com/~bos/

Package: netplug
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 iproute
Description: network link monitor daemon
 This daemon monitors the link status of network cards and configures
 the network on plug- and un-plug-events.
 .
 It's similar to ifplugd, but uses NETLINK instead of regularly polling
 the link status. This improves power-consumption with laptops, but does
 not work with all network card.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) initdir='$$(prefix)/etc/init.d' scriptdir='$$(prefix)/etc/netplug'
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(RM) build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/netplug initdir='$$(prefix)/etc/init.d' scriptdir='$$(prefix)/etc/netplug' install
	$(RM) $(CURDIR)/debian/netplug/etc/init.d/netplugd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://www.red-bean.com/~bos/netplug/netplug-(.*)\.tar\.bz2
